// Copyright 1999 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wClientsView:
//   The clients view.


// -------------------------------------
// Includes
//
#include <stdlib.h>
#include <string.h>

#include <p4wp4.h>

#include "p4wView.h"
#include "p4wClientsView.h"

#include "p4wClientsPane.h"
#include "p4wMenuPane.h"



//
// -------------------------------------
// Constructors and destructor.
//
p4wClientsView::p4wClientsView(p4wRequest & Request)
	: p4wView(Request)
{
	//
	// Set the short and the long versions of the title
	
	fShortTitle.Set( "Client Workspaces" );
	fFullTitle.Set( "Client Workspaces" );
}

p4wClientsView::~p4wClientsView()
{
}



// -------------------------------------
// Control item render functions.
//

void p4wClientsView::RenderContent()
{
	//
	// Send the clients view pane.
	p4wClientsPane clientsPane(*this, fRequest);
	fRequest.p4("clients", 0, NULL, &clientsPane);
	
	//
	// Wait for the pane to draw.
	fRequest.p4Wait();
}

void p4wClientsView::RenderMenu()
{
	//
	// Draw the menu bar
	p4wMenuPane menuPane(*this, fRequest, "client");
	menuPane.Render(NULL);
}
